Subject: Re: linux-next: build failure after merge of the drm-misc tree

From: Zack Rusin <[email-masked]>
Date: Fri, 21 Oct 2022 01:11:24 +0000

On Fri, 2022-10-21 at 11:02 +1100, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the drm-misc tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> drivers/gpu/drm/nouveau/nouveau_display.c: In function 'nouveau_display_create':
> drivers/gpu/drm/nouveau/nouveau_display.c:662:29: error: unused variable 'device' [-Werror=unused-variable]
>   662 |         struct nvkm_device *device = nvxx_device(&drm->client.device);
>       |                             ^~~~~~
> cc1: all warnings being treated as errors
> 
> Introduced by commit
> 
>   7c99616e3fe7 ("drm: Remove drm_mode_config::fb_base")
> 
> I have used the drm-misc tree from next-20221020 for today.
> 

Hi, Stephen.

I've just sent out a trivial fix for this. I'm not sure how the bots and I missed
it. Thanks for letting me know!

z